
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Fjalla+One&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: 'Fjalla One', sans-serif;
    box-sizing: border-box;
}



#banner{
    background: linear-gradient(rgba(0,0,0,0.5), #060908),url(img/banner.jpg);
    background-size: cover;
    background-position: center;
    height: 100vh;
}

@media (max-width: 800px) {
    #banner{
       height: 65vh; 
    }
}

.banner-text{
    text-align: center;
    color: #fff;
    padding-top: 325px;
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */

}
.banner-text h1{
    font-size: 100px;
    
    font-family: system-ui;
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */

}
    
.banner-text p{
    font-size: 20px;
    font-style: italic;
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */

}
.banner-btn{
    margin: 70px auto 0;
}
.banner-btn a{
    width: 150px;
    text-decoration: none;
    display: inline-block;
    margin: 0 10px;
    padding: 12px 0;
    color: #fff;
    border: .5px solid #fff;
    border-radius: 50px;
    position: relative;
    z-index: 1;
    transition: color .5s ease;
}
.banner-btn a span{
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;
    z-index: -1;
    transition: .5s ease;
}
.banner-btn a:hover span{
    width: 100%;
    border-radius: 50px;
}
.banner-btn a:hover{
    color: black;
}

#sideNav{
    width: 250px;
    height: 100vh;
    position: fixed;
    right: -250px;
    top: 0;
    background: #000000;
    z-index: 2;
    transition: .5s;
    opacity: 0.8;
}
nav ul li{
    list-style: none;
    margin: 50px 20px;
}
nav ul li a{
    text-decoration: none;
    color: #fff;
}
#menuBtn{
    width: 50px;
    height: 50px;
    background:#000000;
    text-align: center;
    position: fixed;
    right: 40px;
    top: 30px;
    border-radius: 50px;
    z-index: 3;
    cursor: pointer;
}
#menuBtn img{
    width: 20px;
    margin-top: 15px;
}

.banner-btn a{
    display: block;
    margin: 20px auto;
}

/* feature */

#feature{
    width: 100%;
    padding: 70px 0;
}
.title-text{
    text-align: center;
    padding-bottom: 70px;
}
.title-text p{
    margin: auto;
    font-size: 20px;
    color: #000000;
    font-weight: bold;
    position: relative;
    z-index: 1;
    display: inline-block;
}
.title-text p::after{
    content: '';
    width: 50px;
    height: 35px;
    background: linear-gradient(#4d4d4d,#1d1c1c);
    position: absolute;
    top: -20;
    left: 0;
    z-index: -1;
    transform: rotate(10deg);
    border-top-left-radius: 35px;
    border-bottom-right-radius: 35px;
}
.title-text h1{
    font-size: 50px;
}
.feature-box{
    width: 80%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
}
.features{
    flex-basis: 50%;
}
.features-img{
    flex-basis: 50%;
    margin: auto;
}
.features-img img{
    width: 100%;
    
    border-radius: 10px;
}
.features h1{
    text-align: left;
    margin-bottom: 10px;
    font-weight: 500;
    color: #d4b172;
}
.features-desc{
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}
.feature-icon img{
    
    font-size: 30px;
    line-height: 50px;
    border-radius: 8px;
    border: 1px solid #000000;
    color: #000000;
}
.feature-text p{
    padding: 0 20px;
    text-align: initial;
}

/* Service */
#service{
    width: 100%;
    padding: 70px 0;
    background: #efefef;
}
.service-box{
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: auto;
}

.single-service{
    flex-basis: 40%;
    text-align: center;
    border-radius: 7px;
    margin-bottom: 20px;
    color: #fff;
    position: relative;

}
.single-service img{
    width: 100%;
    height: 100%;
    border-radius: 7px;
}
.overlay{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    border-radius: 7px;
    cursor: pointer;
    background: linear-gradient(rgba(0,0,0,0.5),#000000);
    opacity: 0;
    transition: 1s;
    
}
.single-service:hover .overlay{
    opacity: 1;
}
.service-desc{
    width: 80%;
    position: absolute;
    bottom: 0;
    left: 50%;
    opacity: 0;
    transform: translateX(-50%);
    transition: 1s;
}
hr{
    background: #fff;
    height: 2px;
    border: 0;
    margin: 15px auto;
    width: 60%;
}
.service-desc p{
    font-size: 14px;
}
.single-service:hover .service-desc{
    bottom: 40%;
    opacity: 1;
}

/* testimonial */
#testimonial{
    width: 100%;
    padding: 70px 0;
}
.testimonial-row{
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
}
.testimonial-col{
    flex-basis: 28%;
    padding: 10px;
    margin-bottom: 30px;
    border-radius: 5px;
    box-shadow: 0 10px 20px 3px #00968814;
    cursor: pointer;
    transition: transform .5s;
}
.testimonial-col p{
    font-size: 14px;
    font-weight: 500;
}
.user{
    display: flex;
    align-items: center;
    margin: 20px 0;
}
.user img{
    width: 40px;
    margin-right: 20px;
    border-radius: 3px;
}
.user-info h4 img{
    width: 16px;
    margin-left: 10px;
    color: #d4b172;
}
.user-info small{
    color: #d4b172;
    font-weight: 400;
}
.testimonial-col:hover{
    transform: translateY(-7px);
}

/* Footer */

#footer{
    padding: 100px 0 20px;
    background: #000000;
    position: relative;
    opacity: 0.9;
}
.footer-row{
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    
}
.footer-left, .footer-right{
    flex-basis: 45%;
    padding: 10px;
    margin-bottom: 20px;
    margin-top: 150px;
}
.footer-right{
    text-align: right;
    justify-content: flex-end; /* Verschiebt Inhalte nach rechts */
    display: flex;
    flex-direction: column;
    align-items: flex-end; /* Richtet die Inhalte rechts aus */
}
.footer-row h1, .footer-row p, .social-links p{
    color: #ffffff;
    display: flex;
    align-items: center;
    gap: 2px; /* Fügt einen Abstand zwischen Text und Icon hinzu */
}
.footer-row h1{
    margin: 10px 0;
}
.footer-left img, .footer-right img, .social-links img{
    width: 20px; /* Anpassung der Icon-Größe für bessere Sichtbarkeit */
    height: auto; /* Behält das Seitenverhältnis bei */
    margin-left: 2px; /* Kleiner linker Abstand für das Icon, falls benötigt */
}
.footer-img{
    max-width: 370px;
    opacity: 1;
    position: absolute;
    left: 50%;
    top: 35%;
    transform: translate(-50%, -50%);
}



.social-links{
    text-align: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 20px; /* Zusätzlicher oberer Abstand */
}
.social-links img{
    height: 50px;
    width: 50px;
    margin: 0 5px; /* Anpassung des Abstands für Icons */
    cursor: pointer;
    transition: .5s;
}
.social-links img:hover{
    background: transparent;
    color: #fff;
    transform: translateY(-7px);
}
.social-links p{
    font-size: 12px;
    margin-top: 20px;
    width: 100%; /* Stellt sicher, dass der Text zentriert unter den Icons steht */
    display: block; /* Stellt den Block-Level für den Absatz wieder her */
}
.social-links a {
    text-decoration: none;
    color: #f3efef;
    font-size: larger;
}

.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000; /* Stellt sicher, dass es über anderen Inhalten liegt */
  }
  
  .close-btn {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 30px;
    color: white;
    cursor: pointer;
  }
  
  .lightbox-content {
    max-width: 70%;
    max-height: 80%;
    object-fit: cover; /* Sorgt dafür, dass das Bild proportioniert skaliert */
  }
  
  /* Stellen Sie sicher, dass Ihre Container und Bilder responsiv sind */
.container {
    max-width: 1200px; /* oder eine andere maximale Breite, die Sie bevorzugen */
    margin: auto;
    padding: 0 15px; /* Fügt einen kleinen Rand auf kleineren Bildschirmen hinzu */
  }
  
  .img-container img {
    width: 100%; /* Stellt sicher, dass die Bilder sich an die Containerbreite anpassen */
    height: auto; /* Behält das Seitenverhältnis der Bilder bei */
  }
  
  /* Media Queries für Responsive Design */
  @media (max-width: 768px) {
    .img-container {
      flex-direction: column;
    }
  
    .img-container img {
      max-width: 100%; /* Bilder nehmen die volle Breite auf kleineren Bildschirmen ein */
    }
  }
  
  @media (max-width: 480px) {
    .img-container {
      gap: 10px; /* Reduziert den Abstand zwischen Bildern auf sehr kleinen Bildschirmen */
    }
  }
  

  @media (max-width: 768px) { /* Adjusts for devices with width up to 768px */
    .img-container {
      flex-direction: column-reverse; /* Stacks images vertically */
    }
    .preview-img {
      
      margin-bottom: 20px; /* Adds space between images */
      width: 100%; 
      height: auto;
    }
  }

  @font-face {
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */

    src: url('webfont.woff2') format('woff2'),
         url('webfont.woff') format('woff');
  }
  
  .banner-text {
    
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */
    

  }
  
  h1 {
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */
    font-size: larger;
    font-weight: bold;
  }

  .custom-font-class {
    font-family: 'Fjalla One', sans-serif; /* Ersetzen Sie 'YourFontName' mit dem Namen Ihrer Schriftart */
    font-size: 30px; /* Diese Größe können Sie nach Belieben anpassen */
    font-weight: bold; /* Optional, wenn Sie die Schrift fett haben möchten */
}
  
  


